// 状态管理相关接口api
import request from '../index'
// 设备申请列表
export function getStatusList(data: any) {
  return request({
    url: `/meter/stateManage/stateManageList?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 状态管理新建
export function addStatus(data: object) {
  return request({
    url: '/meter/stateManage/addStateManageInfo',
    method: 'post',
    data,
  })
}

// 状态管理编辑
export function updateStatus(data: object) {
  return request({
    url: '/meter/stateManage/updateStateManageInfo',
    method: 'post',
    data,
  })
}

// 状态管理删除
export function deleteStatus(data: object) {
  return request({
    url: '/meter/stateManage/deleteStateManageList',
    method: 'post',
    data,
  })
}
// 状态管理取消
export function cancelStatus(data: object) {
  return request({
    url: '/approval/operate/revoke',
    method: 'post',
    data,
  })
}
// 状态管理提交
export function submitStatus(data: object) {
  return request({
    url: '/meter/stateManage/submitStandardEquipmentApply',
    method: 'post',
    data,
  })
}
// 状态管理详情
export function detailStatus(data: object) {
  return request({
    url: '/meter/stateManage/selectStateManageInfo',
    method: 'post',
    data,
  })
}

// 状态管理导出
export function exportStatus(data: object) {
  return request({
    url: '/meter/stateManage/exportStateManageList',
    method: 'post',
    data,
  })
}
